> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get World

> Retrieves a completed World Labs Marble world

Retrieve a completed Marble world created through TokenLab. The world must belong to the same organization as the API key.

## Path Parameters

<ParamField path="id" type="string" required>
  World Labs world ID.
</ParamField>

## Response

<ResponseField name="world_id" type="string">
  World Labs world ID.
</ResponseField>

<ResponseField name="world_marble_url" type="string">
  World Labs Marble URL.
</ResponseField>

<ResponseField name="assets" type="object">
  Generated world assets when available.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.tokenlab.sh/v1/worlds/world_123" \
    -H "Authorization: Bearer sk-your-api-key"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.tokenlab.sh/v1/worlds/world_123",
      headers={"Authorization": "Bearer sk-your-api-key"},
  )
  print(response.json()["world_id"])
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.tokenlab.sh/v1/worlds/world_123', {
    headers: { Authorization: 'Bearer sk-your-api-key' }
  });
  console.log(await response.json());
  ```
</RequestExample>
